## net.i2p.i2ptunnel.socks
Class SOCKSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.i2ptunnel.socks.SOCKSException

All Implemented Interfaces:
  java.io.Serializable

    public class SOCKSException

extends java.lang.Exception

Exception thrown by socket methods

Author:
  human
See Also:
  Serialized Form

Constructor Summary
`SOCKSException()`
`SOCKSException(java.lang.String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOCKSException

    public SOCKSException()

### SOCKSException

    public SOCKSException(java.lang.String s)